| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | Static Public Member Functions | List of all members
Digikam::OnlineVersionChecker Class Reference
Inheritance diagram for Digikam::OnlineVersionChecker:

## Signals
void | signalNewVersionAvailable (const QString &version)
void | signalNewVersionCheckError (const QString &error)

## Public Member Functions
| OnlineVersionChecker (QObject *const parent, bool checkPreRelease=false)
void | cancelCheck ()
void | checkForNewVersion ()
QString | preReleaseFileName () const
void | setCurrentBuildDate (const QDateTime &dt)
void | setCurrentVersion (const QString &version)

## Static Public Member Functions
static bool | bundleProperties (QString &arch, QString &ext, QString &qtVersion, QString &dir)
| Return true if the system and architecture are supported by the bundle workflow.
static QString | lastCheckDate ()
| Return the last date as string when have been performed a check for new version.

## Member Function Documentation

## ◆ bundleProperties()

bool Digikam::OnlineVersionChecker::bundleProperties | ( | QString & | arch,
|  | QString & | ext,
|  | QString & | qtVersion,
|  | QString & | dir
| ) |  |
| static

'arch' is the relevant prefix for the bundle architecture. 'ext' is the relevant bundle file extension. 'qtVersion' is the relevant version of Qt used in the bundle file-name. 'dir' is the subdirectory if any to get the bundle file.